ChangeSet 1.1587.12.3, 2004/04/29 13:17:35-07:00, jochen@jochen.org

[PATCH] PCI: message cleanup in PCI probe

The messages read:

PCI: Address space collision on region 8 of bridge 0000:00:1f.0 [1180:11bf]
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
Transparent bridge - 0000:00:1e.0
PCI: Using IRQ router PIIX/ICH [8086/24cc] at 0000:00:1f.0
PCI: Found IRQ 11 for device 0000:00:1f.1

The following patch adds "PCI: " in front of the message and KERN_INFO as well.
Compile&boot tested.

Jochen


 drivers/pci/probe.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/pci/probe.c b/drivers/pci/probe.c
--- a/drivers/pci/probe.c	Mon May 17 17:08:54 2004
+++ b/drivers/pci/probe.c	Mon May 17 17:08:54 2004
@@ -193,7 +193,7 @@
 		return;
 
 	if (dev->transparent) {
-		printk("Transparent bridge - %s\n", pci_name(dev));
+		printk(KERN_INFO "PCI: Transparent bridge - %s\n", pci_name(dev));
 		for(i = 0; i < PCI_BUS_NUM_RESOURCES; i++)
 			child->resource[i] = child->parent->resource[i];
 		return;
